Bug 174651 - errors during upgrade of selinux-policy-targeted
errors during upgrade of selinux-policy-targeted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 22:31 EST by Jonathan Kamens
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 23:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-11-30 22:31:30 EST
I just upgraded to selinux-policy-targeted-2.0.6-1 from devel, along with 600 or
so other devel packages all at once.  During the selinux-policy-targeted
installation, I got this:

 305:selinux-policy-targeted########################################### [ 46%]
semodule: invalid option -- s
usage:	semodule [options]... MODE
Manage SELinux policy modules.
NORMAL MODES (specify exactly one):
  -i,--install=MODULE_PKG install a new module package
  -u,--upgrade=MODULE_PKG upgrade existing module package
  -b,--base=MODULE_PKG	  install new base module package
  -r,--remove=MODULE	  remove existing module
  -l,--list-modules	  display list of installed modules
BOOTSTRAPPING MODE:
  -m[PATH],--create-module-store[=PATH]	 create module store at PATH
				   (if no path given then use default location)
Other options:
  -h,--help	   print this message and quit
  -v,--verbose	   be verbose

I tried installing again after everything was finished, with "rpm -Uvh --force",
and got this:

   1:selinux-policy-targeted########################################### [100%]
libsemanage.parse_assert_space: missing whitespace
(/etc/selinux/targeted/modules/tmp/seusers: 1):
root:root:s0-s0:c0.c255
libsemanage.seuser_parse: could not parse seuser record
libsemanage.dbase_file_cache: could not cache file database
libsemanage.enter_ro: could not enter read-only section
libsemanage.semanage_base_merge_components: could not merge local modifications
into policy
Failed!
Comment 1 Daniel Walsh 2005-12-12 23:16:42 EST
This should be fixed with the latest libsemanage code.

Note You need to log in before you can comment on or make changes to this bug.